:root {
	--border-radius: 5px;
	--background: rgba(255, 255, 255, 0.5);
	--accent: teal;
	--color: white;
}

body, html {
	height: 100%;
	margin: 0;
}

body {
	max-width: 400px;
	padding: 0 1rem;
	margin: 0 auto;
	color: var(--color);
	background: silver;
	font-family: monospace;
	background: linear-gradient(#060654, #045a62);
	letter-spacing: 2px;
}

input.amount {
	-webkit-appearance: none;
	-moz-appearance: textfield;
	margin-top: 3rem;
	width: 100%;
	padding: 1rem;
	text-align: center;
	margin-bottom: 2rem;
	color: var(--color);
	box-sizing: border-box;
	font-size: 2rem;
	border-radius: var(--border-radius);
	outline: none;
	border: none;
	background: var(--background);
}

.currency {
	display: flex;
	justify-content: center;
	gap: 1rem;
	margin-bottom: 2rem;
}


label {
	display: flex;
	align-items: center;
	background: var(--background);
	font-size: 15px;
	gap: 0.5rem;
	padding: 0.5rem 1rem;
	border-radius: var(--border-radius);
	border: 3px solid transparent;

	input {
		margin: 0;
	}
	&:has(input[type="radio"]:checked) {
		--background: var(--accent);
	}
}

output {
	display: flex;
	align-items: center;
	min-height: 50px;
	background: var(--background);
	padding: 1rem;
	margin-bottom: 1rem;
	border-radius: var(--border-radius);
	font-size: 32px;

	&:before {
		content: '';
		margin-right: 1rem;
		font-size: 15px;
		color: var(--color);
		opacity: 0.8;
	}

	&.usd::before {
		content: 'USD';
	}

	&.gbp::before {
		content: 'GBP';
	}
	&.khr::before {
		content: 'KHR';
	}

}
